#ifndef CONDORMANAGER_H_INCLUDED
#define CONDORMANAGER_H_INCLUDED

#include "stdafx.h"


namespace CloudResourceManager
{

    class CondorManager
    {
    public:
        //public static string UseEC2Lib = ConfigurationManager.AppSettings["UseEC2Lib"];//
        static bool reconfig(const std::string& ip);
        static bool submit_job(const std::string& jobName, string& condorId);
        static StringVector get_ip();
        static bool set_variable_value(const std::string& ip, const std::string& var, const std::string& value);
        static bool check_active_instance(const std::string& instanceIp);
        static int find_job_array(const std::string& jobId, std::string& status);
        static StringVector find_idle_ip();
        static bool config_taskId(const std::string& ip, const std::string& taskId);
        static bool config_taskStatus(const std::string& ip, const std::string& taskStatus);
    };


}

#endif // CONDORMANAGER_H_INCLUDED
