#ifndef TEMPLATEMANAGER_H_INCLUDED
#define TEMPLATEMANAGER_H_INCLUDED

#include "XmlManager.h"

namespace CloudResourceManager
{
    class TemplateManager
    {
    private:
        static int findStartChar(const char* str, int nStart);
        static int findEndChar(const char* str, int nStart, char* buffer);
        static string ResolveInternalKey(string strKey, const StringMap& jobContext);
     public:
        static int ReplaceTemplateFile(const string& strTemplateName, const string& strTargetName, const StringMap& hashTable, const StringMap& jobContext);

        static int GenerateScriptFile(string strPlatform, string strTemplateName, string strScriptName, StringMap& jobContext);
    };
}

#endif // TEMPLATEMANAGER_H_INCLUDED
