#ifndef CREDITMANAGER_H_INCLUDED
#define CREDITMANAGER_H_INCLUDED

#include "stdafx.h"
#define MYSQLPP_SSQLS_NO_STATICS
#include "RenderingMax.h"

namespace CloudResourceManager
{
    class CreditManager
    {
    private:
        //static EC2_InstanceTypeRepository ec2InstanceRepository = new EC2_InstanceTypeRepository();
        //static UserCreditRepository userCreditRepository = new UserCreditRepository();
        typedef std::map<std::string, int> StringIntMap;
        typedef std::map<int, int> IntIntMap;
        typedef std::set<int> IntSet;

        int hourRate;
        Users user;
        int consumption;
        MySqlppHelper mySqlHelper;
        void AddUserToBlackList();
    public:
        static IntSet userBlackList;

        static void StartCreditCheck();

        bool CheckJob(int runtimeInSeconds);

        bool StartTaskCheck(const Tasks& myTask);

        int GetJobHourRate(const Tasks& myTask);

        bool ReportJobFinished(int runtimeInSeconds);
    };
}

#endif // CREDITMANAGER_H_INCLUDED
